# $Revision: 1.6 $, $Date: 2004/09/20 21:27:51 $
Summary:	Additional file formats support for Tk
Summary(pl):	Obsuga dodatkowych formatw plikw dla Tk
Name:		tk-Img
Version:	1.2.4
Release:	3
License:	distributable
Group:		Development/Languages/Tcl
Source0:	http://ftp.neosoft.com/cl/sorted/packages-8.0/graphics/%{name}/%{version}/img%{version}.tar.gz
# Source0-md5:	abfda1cc55555fc2490e761bde165078
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-jpeg.patch
Patch2:		%{name}-tk84.patch
URL:		http://members1.chello.nl/~j.nijtmans/img.html
Requires:	tk >= 8.4.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtiff-devel >= 3.5.5
BuildRequires:	tk-devel >= 8.4.3
BuildRequires:	zlib-devel >= 1.1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package enhances Tk, adding support for many other Image formats:
BMP, XBM, XPM, GIF (with transparency, but without LZW), PNG, JPEG,
TIFF and PostScript.

%description -l pl
Ten pakiet rozszerza Tk, dodajc obsug wielu formatw graficznych:
BMP, XBM, XPM, GIF (z przezroczystoci, ale bez LZW), PNG, JPEG, TIFF
oraz PostScript.

%prep
%setup -qn img%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%configure
%{__make} IMG_LD_SEARCH_FLAGS=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT \
	IMG_LD_SEARCH_FLAGS=""

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE README changes license.terms
/usr/lib/Img*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tk-Img.spec,v $
Revision 1.6  2004/09/20 21:27:51  havner
- tk: /usr/lib even on amd64

Revision 1.5  2003/06/16 13:10:46  wiget
- fix building with Tk 8.4.x
- release 2

Revision 1.4  2003/05/28 13:02:16  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/01/19 22:21:54  qboosh
- pl description, BR: autoconf,automake

Revision 1.1  2003/01/12 09:08:56  jajcus
- initial spec
